package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type RegCodeReq struct {
	AppId      string    `bson:"appId,omitempty" json:"appId"`
	AppName    string    `bson:"appName,omitempty" json:"appName"`
	AppKey     string    `bson:"appKey,omitempty" json:"appKey"`
	AppVersion string    `bson:"appVersion,omitempty" json:"appVersion"`
	DeviceId   string    `bson:"deviceId,omitempty" json:"deviceId"`
	ExpireTime time.Time `bson:"expireTime,omitempty" json:"expireTime"`
	IsPerm     *bool     `bson:"isPerm,omitempty" json:"isPerm"`
}

type RegCodeResp struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	AppId      string             `bson:"appId,omitempty" json:"appId"`
	AppName    string             `bson:"appName,omitempty" json:"appName"`
	AppVersion string             `bson:"appVersion,omitempty" json:"appVersion"`
	ActiveCode string             `bson:"activeCode,omitempty" json:"activeCode"`
	CipherText string             `bson:"cipherText,omitempty" json:"cipherText"`
	Signature  string             `bson:"signature,omitempty" json:"signature"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}

type RegCode struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	UserId     string             `bson:"userId,omitempty" json:"userId"`
	AppId      string             `bson:"appId,omitempty" json:"appId"`
	AppName    string             `bson:"appName,omitempty" json:"appName"`
	AppVersion string             `bson:"appVersion,omitempty" json:"appVersion"`
	DeviceId   string             `bson:"deviceId,omitempty" json:"deviceId"`
	Key        string             `bson:"key,omitempty" json:"key"`
	RegCode    string             `bson:"code,omitempty" json:"code"`
	ActiveCode string             `bson:"activeCode,omitempty" json:"activeCode"`
	IsPerm     *bool              `bson:"isPerm,omitempty" json:"isPerm"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTIme time.Time          `bson:"updateTIme,omitempty" json:"updateTIme"`
	ExpireTime time.Time          `bson:"expireTime,omitempty" json:"expireTime"`
	Status     int                `bson:"status,omitempty" json:"status"`
}
